# GimpUi.ColorSelector.set_format

    @accepts(GimpUi.ColorSelector, Babl.Object)
    @returns(none)
    def set_format(self, format):
        # Python wrapper for gimp_color_selector_set_format()

Sets the babl format representing the color model and the space this self is supposed to display values for. Depending on the type of color selector, it may trigger various UX changes, or none at all.

Since 3.0

self

  a GimpUi.ColorSelector widget.

format

  a Babl format, with space.